Skip to main content
GET
/
shopping
/
{portfolio}
/
v1
/
facilities
/
{facilityUuid}
/
required-fields
Get required fields for a facility
curl --request GET \
  --url https://public-api.prd.monument.io/shopping/{portfolio}/v1/facilities/{facilityUuid}/required-fields \
  --header 'x-api-key: <x-api-key>'
[
  {
    "fieldId": "person-date-of-birth",
    "title": "Date of Birth",
    "apiKey": "person.dateOfBirth",
    "group": "Contact Information",
    "isSystemRequired": false,
    "isRequired": true
  }
]

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Response

200 - application/json

Array of required fields for the facility

fieldId
string
required

Unique identifier of the field in the rental flow configuration.

Example:

"person-date-of-birth"

title
string
required

Human-readable title of the field.

Example:

"Date of Birth"

apiKey
string
required

API key (dot-notation path) the field maps to.

Example:

"person.dateOfBirth"

group
string
required

Title of the group the field belongs to.

Example:

"Contact Information"

isSystemRequired
boolean
required

True when the field is system-required (blocks lease generation). False when the field is org-required only.

Example:

false

isRequired
boolean
required

True when the field is required by the org configuration (isRequired in the rental flow configuration).

Example:

true